Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83584 - updfstab assigns wrong device to usb zip drive
Summary: updfstab assigns wrong device to usb zip drive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 20:08 UTC by Daniel Ganek
Modified: 2014-03-17 02:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-29 20:53:18 UTC


Attachments (Terms of Use)

Description Daniel Ganek 2003-02-05 20:08:13 UTC
Description of problem:
updfstab assigns the wrong device to the usb zip 250.

Version-Release number of selected component (if applicable):
kudzu-0.99-52-1

How reproducible:
Place scsi removable device and usb zip drive on the same system

Here's our /proc/scsi/scsi
Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: MAXTOR   Model: ATLASU320_36_WLS Rev: B430
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi1 Channel: 00 Id: 03 Lun: 00
  Vendor: HP       Model: C1537A           Rev: L111
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 04 Lun: 00
  Vendor: HP       Model: C1113J           Rev: 1.09
  Type:   Optical Device                   ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: IOMEGA   Model: ZIP 250          Rev: 90.V
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 00
  Vendor: HL-DT-ST Model: RW/DVD GCC-4320B Rev: 1.06
  Type:   CD-ROM                           ANSI SCSI revision: 02


Steps to Reproduce:
1. add scsi devices 
2.reboot
3.
    
Actual results:
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/sda2               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0
0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
/dev/sdb4               /mnt/zip250.0           auto    noauto,owner,kudzu 0 0

(Note zip is assigned to /dev/sdb4 not /dev/sdc4)

Expected results:
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/sda2               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0
0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
/dev/sdc4               /mnt/zip250.0           auto    noauto,owner,kudzu 0 0



Additional info:
[53]:/home/rsa % /sbin/scsi_info /dev/sdc
SCSI_ID="0,0,0"
MODEL="IOMEGA ZIP 250"
FW_REV="90.V"
[55]:/home/rsa % /sbin/scsi_info /dev/sdb
SCSI_ID="0,4,0"
MODEL="HP C1113J"
FW_REV="1.09"

Comment 1 Bill Nottingham 2003-02-20 03:27:00 UTC
Please try the current rawhide kudzu; there were bugs in usb device naming fixed
there.

Comment 2 Daniel Ganek 2003-02-20 16:00:42 UTC
Not sure where to get the "rawhide" rpm for kudzu.
I downloaded kudzu-0.99-69-1. I installed it --nodeps
and link libnewt.so.0.51 to libnewt.so.0.50.

It didn't fix he problem.

Comment 3 Bill Nottingham 2005-03-29 20:53:18 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

In current releases, mounting of removable devices is handled by HAL and the
fstab-sync program; at this point updfstab is not going to see significant changes.


Note You need to log in before you can comment on or make changes to this bug.